"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var CfReceiverService = /** @class */ (function () {
    function CfReceiverService(config) {
        this.config = config;
        console.log('starting CfReceiverService');
    }
    /**
     * open connection to the WebSocket end point
     */
    CfReceiverService.prototype.init = function () {
        var _this = this;
        return new rxjs_1.Observable(function (obser) {
            _this.ws = new WebSocket("ws://" + _this.config.endPoint + "/" + _this.config.workflowID);
            _this.ws.onerror = function (event) {
                obser.next({
                    type: 'error',
                    event: event
                });
            };
            _this.ws.onclose = function (event) {
                obser.next({
                    type: 'close',
                    event: event
                });
            };
            _this.ws.onmessage = function (event) {
                obser.next({
                    type: 'message',
                    event: event
                });
            };
        });
    };
    return CfReceiverService;
}());
exports.CfReceiverService = CfReceiverService;
//# sourceMappingURL=cfReceiver.service.js.map